#include <iostream>

class Complex {
    double re;
    double im;

    friend std::ostream &operator<<(std::ostream& o, const Complex &a);

public:
    Complex();
    Complex(double a);
    Complex(double a, double b);
    Complex(const Complex &a);

    double real() const;
    double imaginary() const;
    double module() const;

    Complex &operator=(const Complex &a);
    Complex &operator+=(const Complex &c);
    Complex &operator-=(const Complex &c);
};

std::ostream &operator<<(std::ostream& o, const Complex &a);
const Complex operator+(const Complex &a, const Complex &b);


















